Name:       qstardict
Version:    1.0.1
Release:    9%{?dist}
Summary:    StarDict clone written using Qt4
License:    GPLv2+
Group:      Applications/System
URL:        http://qstardict.ylsoftware.com/
Source0:    http://qstardict.ylsoftware.com/files/%{name}-%{version}.tar.bz2
# include a manpage from Debian
Source1:    qstardict.1
# Fix GLib 2.31 compatibility, sent upstream via email 20120106
Patch0:     qstardict-1.0.1-glib-2.31.patch

BuildRequires:  glib2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel

# exclude provate provides
%global __provides_exclude_from ^%{_kde4_libdir}/kde4/.*\.so$

%description
QStarDict is a StarDict clone written using Qt4. The user interface
is similar to StarDict.

Main features:
* Full support of StarDict dictionaries
* Working from the system tray
* Scanning mouse selection and showing pop-up windows with translation of
selected words
* Translations reformatting
* Pronouncing of the translated words
* Plugins support

%package -n kde-plasma-%{name}
Group:      Applications/System
Summary:    Plasma applet of qstardict
Requires:   %{name} = %{version}-%{release}
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description -n kde-plasma-%{name}
This package contains KDE plasma applet of qstardict.

%prep
%setup -q
%patch0 -p1

%build
%_qt4_qmake PLUGINS_DIR=%{_libdir}/%{name}/plugins
make %{?_smp_mflags}

# Build plasma applet
cd kdeplasma
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake_kde4 ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install INSTALL_ROOT=%{buildroot}

pushd kdeplasma
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
popd

desktop-file-install --vendor="" \
    --dir=%{buildroot}%{_datadir}/applications              \
     %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/man/man1/
install -p -m 644 %SOURCE1 %{buildroot}%{_datadir}/man/man1/

rm -fr %{buildroot}%{_docdir}

%files
%doc AUTHORS COPYING ChangeLog README THANKS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/man/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/%{name}.png

%files -n kde-plasma-%{name}
%defattr(-,root,root)
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/kde4/services/*.desktop



%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.1-8
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan  6 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-2
- Rebuild against GCC 4.7
- Incorporate a patch to solve GLib 2.31 compatibility

* Mon Dec  5 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Sun Oct  9 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.0-2
- Popup window saves settings (#743715)
- Filter the private so provides

* Sun Jul 31 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.0-1
- Update to 1.0
- Other specfile cleanups

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 12 2010 Cheese Lee <cheeselee@126.com> - 0.13.1-3
- Included a manpage from Debian
- Updated summary and description
- Initial import to Fedora repositories

* Mon Mar  1 2010 Cheese Lee <cheeselee@126.com> - 0.13.1-2
- License chagned to GPLv2+
- BR: qt-devel, cmake removed, kdelibs-devel changed to kdelibs4-devel
- Removed the explicit claim for certain plugins
- Explicitly link to libX11.so for the change of DSO linking of F13

* Sun Feb 14 2010 Cheese Lee <cheeselee@126.com> - 0.13.1-1
- Initial packaging for Fedora based on the spec file from Mandriva
